petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSSetCoordinateDimension

Set the coordinate dimension of the DS, meaning the dimension of the space into which the discretiaztions are embedded

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSSetCoordinateDimension(PetscDS prob, PetscInt dimEmbed)

Not collective

### Input Parameters

| prob | - The PetscDS object
| dimEmbed | - The coordinate dimension

### See Also

PetscDSGetCoordinateDimension(), PetscDSGetSpatialDimension(), PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages